# Generated from stoolie-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name stoolie

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Content filter to determine the XSS, spam or offensive quality of text
License: MIT
URL: http://github.com/wheels/stoolie
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-mocks)
# BuildRequires: rubygem(factory_girl) >= 4.0
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 2.0.1
# BuildRequires: rubygem(jeweler) < 2.1
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Content filter to determine the XSS, spam or offensive quality of text.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/stoolie.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.3-1
- Initial package
